Subject: Re: [art] Art-Art Last Call review of draft-ietf-alto-path-vector-16

From: [email-masked]
Date: Wed, 27 Oct 2021 10:37:21 +0800 (GMT+08:00)

Dear Paul,

We have just submitted a revision of the Path Vector draft (-19), in which
1) IPv6 examples are added in Section 8;
2) The "Content-ID" of part messages are now in the right format.

Please see below the latest revision and the diffs. We hope the changes
address you comments.

Draft:
https://www.ietf.org/archive/id/draft-ietf-alto-path-vector-19.html

Diffs:
https://www.ietf.org/rfcdiff?url1=draft-ietf-alto-path-vector-17&amp;url2=draft-ietf-alto-path-vector-19

Thanks!

Best,
Kai

&gt; -----Original Messages-----
&gt; From: [email-masked]
&gt; Sent Time: 2021-08-31 10:10:27 (Tuesday)
&gt; To: "Paul Kyzivat" <[email-masked]>
&gt; Cc: [email-masked], "Art Area" <[email-masked]>
&gt; Subject: Re: Art-Art Last Call review of draft-ietf-alto-path-vector-16
&gt; 
&gt; Hi Paul,
&gt; 
&gt; Thanks for the comments. We will address them in the next revision (-18).
&gt; 
&gt; According to IANA [1], there are two entries for the "Content-ID" header field, one for HTTP and one for MIME. In our case, as the multipart message is involved, we should follow the format in RFC 2387 where "Content-ID" is specified to have the same format of "msg-id". The most recent specification for "msg-id" we find is RFC 5322 (2008) and it has the format of <left@right>. We will update the draft accordingly to conform to the format.
&gt; 
&gt; Thanks!
&gt; 
&gt; Best,
&gt; Kai
&gt; 
&gt; [1] https://www.iana.org/assignments/message-headers/message-headers.xhtml
&gt; 
&gt; "Paul Kyzivat" &lt;[email-masked]&gt;wrote:
&gt; &gt; I am the assigned Art-Art reviewer for this draft. The Art Area
&gt; &gt; Review Team (Art-Art) reviews all Art Area IETF documents being 
&gt; &gt; processed by the IESG for the IETF Chair.  Please treat these comments 
&gt; &gt; just like any other last call comments.
&gt; &gt; 
&gt; &gt; Document: draft-ietf-alto-path-vector-16
&gt; &gt; Reviewer: Paul Kyzivat
&gt; &gt; Review Date: 2021-06-29
&gt; &gt; IETF LC End Date: ???
&gt; &gt; IESG Telechat date: ?
&gt; &gt; 
&gt; &gt; Summary:
&gt; &gt; 
&gt; &gt; This draft is on the right track but has open issues, described in the 
&gt; &gt; review.
&gt; &gt; 
&gt; &gt; General:
&gt; &gt; 
&gt; &gt; This document is well written. The content was challenging for this 
&gt; &gt; reviewer who is not acquainted with the subject domain. Hence comments 
&gt; &gt; here are superficial.
&gt; &gt; 
&gt; &gt; Issues:
&gt; &gt; 
&gt; &gt; Major: 0
&gt; &gt; Minor: 1
&gt; &gt; Nits:  1
&gt; &gt; 
&gt; &gt; 1) Minor: Use of Content-ID
&gt; &gt; 
&gt; &gt; This document makes use of Content-ID with constrained syntax and 
&gt; &gt; values. This usage *ought* to be consistent with http and mime 
&gt; &gt; definitions of Content-ID syntax.
&gt; &gt; 
&gt; &gt; I'm actually having some difficulty in identifying the most recent 
&gt; &gt; authoritative document for this syntax. The IANA registry of http header 
&gt; &gt; field names refers to RFC4229, and it refers to "The HTTP Distribution 
&gt; &gt; and Replication Protocol", W3C NOTE NOTE-drp-19970825, August 1997. That 
&gt; &gt; reference seems oddly specialized to be the authoritative definition. In 
&gt; &gt; any case it defines it as:
&gt; &gt; 
&gt; &gt; content-identifier = URI ( "," URI )*
&gt; &gt; 
&gt; &gt; A traditional one is <left@right> with some constraints on the content 
&gt; &gt; of left and right.
&gt; &gt; 
&gt; &gt; I'm not going to be the judge of what is authoritative here, but I 
&gt; &gt; suggest you find out and then conform to it.
&gt; &gt; 
&gt; &gt; 2) NIT: Use of IPv6
&gt; &gt; 
&gt; &gt; As noted by IdNits, you should consider including some IPv6 addresses in 
&gt; &gt; examples.
&gt; </left@right></left@right>
</[email-masked]></[email-masked]>